<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="tw-mb-2 sm:tw-mb-4">
                    <a href="#" onclick="new_source(); return false;" class="btn btn-primary">
                        <i class="fa-regular fa-plus tw-mr-1"></i>
                        <?php echo _l('staff_new_team'); ?>
                    </a>
                </div>
                <div class="panel_s">
                    <div class="panel-body panel-table-full">
                        <?php if (count($sources) > 0) { ?>
                        <table class="table dt-table" data-order-col="1" data-order-type="asc">
                            <thead>
                                <th><?php echo _l('id'); ?></th>
                                <th><?php echo _l('leads_sources_table_name'); ?></th>
                                <th><?php echo _l('off_day'); ?></th>
                                <th><?php echo _l('city'); ?></th>
                                <th><?php echo _l('staff'); ?></th>
                                <th style="width:30%"><?php echo _l('Hours'); ?></th>
                                <th><?php echo _l('options'); ?></th>
                            </thead>
                            <tbody>
                                <?php foreach ($sources as $source) { ?>
                                <tr>
                                    <td><?php echo $source['id']; ?></td>
                                    <td><a href="#"
                                            onclick="edit_source(this,<?php echo $source['id']; ?>); return false"
                                            data-name="<?php echo $source['name']; ?>"><?php echo $source['name']; ?></a><br />
                                        <span class="text-muted">
                                            <?php // echo _l('team_total', total_rows(db_prefix() . 'staff', ['team_id' => $source['id']])); ?>
                                        </span>
                                    </td>
                                    <td><?php echo $source['off_day']; ?></td>
                                    <td><?php echo $source['city']; ?></td>
                                    <td><?php echo get_team_staff_name($source['id']); ?></td>
                                    <td id="hours_<?php echo $source['id']; ?>"><?php echo $source['appointly_available_hours']; ?></td>
                                    <td>
                                        <div class="tw-flex tw-items-center tw-space-x-3">
                                            <span id="staff_<?php echo $source['id'];?>" class="hidden"><?php echo get_team_staff_id($source['id']); ?></span>
                                            <a href="#"
                                                onclick="edit_source(this,<?php echo $source['id']; ?>); return false"
                                                data-name="<?php echo $source['name']; ?>" 
                                                data-off_day="<?php echo $source['off_day']; ?>" 
                                                data-city="<?php echo $source['city']; ?>"
                            
                                                class="tw-text-neutral-500 hover:tw-text-neutral-700 focus:tw-text-neutral-700">
                                                <i class="fa-regular fa-pen-to-square fa-lg"></i>
                                            </a>
                                            <a href="<?php echo admin_url('staff/delete_team/' . $source['id']); ?>"
                                                class="tw-mt-px tw-text-neutral-500 hover:tw-text-neutral-700 focus:tw-text-neutral-700 _delete">
                                                <i class="fa-regular fa-trash-can fa-lg"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                        <?php } else { ?>
                        <p class="no-margin"><?php echo _l('leads_sources_not_found'); ?></p>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="source" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <?php echo form_open(admin_url('staff/add_team')); ?>
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">
                    <span class="edit-title"><?php echo _l('staff_edit_team'); ?></span>
                    <span class="add-title"><?php echo _l('staff_new_team'); ?></span>
                </h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div id="additional"></div>
                        <?php echo render_input('name', 'staff_team_name'); ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div id="additional"></div>
                        <label><?php echo _l('off_day'); ?></label>
                            <select name="off_day" class="selectpicker" data-width="100%">
                                <?php
                        $weekdays = get_weekdays();
                        end($weekdays);
                        $last = key($weekdays);
                        foreach ($weekdays as $key => $val)  {?>
                                <option value="<?php echo $val; ?>"><?php echo $val; ?></option>
                                <?php
                        } ?>
                            </select>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-md-12">
                        <div id="additional"></div>
                        <label><?php echo _l('city'); ?></label>
                            <select name="city" class="selectpicker" data-width="100%">
                                <?php
                        $city_list = get_city_list();
                        foreach ($city_list as $key => $val) {?>
                                <option value="<?php echo $val; ?>"><?php echo $val; ?></option>
                                <?php }
                         ?>
                            </select>
                    </div>
                </div>
                <br>
                <?php
                    $appointmentHours = getAppointmentHours();
                    $savedHours = json_decode($source['appointly_available_hours']);
                    ?>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="appointment_hours"><?php echo _l('Hours'); ?></label>
                            <select class="selectpicker" name="appointly_available_hours[]" id="appointment_hours" data-width="100%" multiple>
                                <?php foreach ($appointmentHours as $hour) {
                                        ?>
                                        <option value="<?php echo $hour['name']; ?>">
                                            <?php echo $hour['name']; ?>
                                        </option>
                                    <?php } ?>
                            </select>
                        </div>
                    </div>
                <br>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="staffs"><?php echo _l('staff'); ?></label>
                            <select class="selectpicker" name="staffid[]" id="staffid" data-width="100%" multiple>
                                <?php echo get_team_all_staff(); ?>
                            </select>
                        </div>
                    </div>


            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                <button type="submit" class="btn btn-primary"><?php echo _l('submit'); ?></button>
            </div>
        </div>
        <!-- /.modal-content -->
        <?php echo form_close(); ?>
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<?php init_tail(); ?>
<script>
$(function() {
    appValidateForm($('form'), {
        name: 'required'
    }, manage_leads_sources);
    $('#source').on('hidden.bs.modal', function(event) {
        $('#additional').html('');
        $('#source input[name="name"]').val('');
        $('#source input[name="city"]').val('');
        $('#source input[name="off_day"]').val('');
        $('#source input[name="appointly_available_hours[]"]').val('');
        $('#source input[name="staffid[]"]').val('');
        $('.add-title').removeClass('hide');
        $('.edit-title').removeClass('hide');
    });
});

function manage_leads_sources(form) {
    var data = $(form).serialize();
    var url = form.action;
    $.post(url, data).done(function(response) {
        window.location.reload();
    });
    return false;
}

function new_source() {
    $('#source input[name="name"]').val('');
    $('#source select[name="off_day"]').val('').trigger('change');
    $('#source select[name="city"]').val('').trigger('change');
    $('#source select[name="appointly_available_hours[]"]').selectpicker('val', '')
    $('#source select[name="staffid[]"]').selectpicker('val', '')
 
    var fullUrl = admin_url + 'staff/get_staff_for_select/';
        $.ajax({
            url: fullUrl,
            cache: false,
            type: 'GET',
            dataType: 'HTML',
            data: {
                "id": 0
            },
            success: function (response) {
                data = JSON.parse(response);
                console.log(data);
                 var text1 = '<option value=""> Select Staff</option>';
                 for (let i = 0; i < data.length; i++) {
                                                var name = data[i]["firstname"]+' '+data[i]["lastname"];
                                                var id = data[i]["staffid"];
                                                text1 += '<option value="' + id + '" >' + name + '</option>';
               }
                $('#staffid').html(text1).selectpicker('refresh');
          }
            
        });
    $('#source').modal('show');
    $('.edit-title').addClass('hide');
}

function edit_source(invoker, id) {
    $('#source input[name="name"]').val('');
    $('#source select[name="off_day"]').val('').trigger('change');
    $('#source select[name="city"]').val('').trigger('change');
    $('#source select[name="appointly_available_hours[]"]').selectpicker('val', '')
    $('#source select[name="staffid[]"]').selectpicker('val', '')
  var fullUrl = admin_url + 'staff/get_staff_for_select/';
        $.ajax({
            url: fullUrl,
            cache: false,
            type: 'GET',
            dataType: 'HTML',
            data: {
                "id": id
            },
            success: function (response) {
                data = JSON.parse(response);
                 var text1 = '<option value=""> Select Staff</option>';
                 for (let i = 0; i < data.length; i++) {
                         var name = data[i]["firstname"]+' '+data[i]["lastname"];
                         var staff_id = data[i]["staffid"];
                        text1 += '<option value="' + staff_id + '">' + name + '</option>';    
                }
                $('#staffid').html(text1).selectpicker('refresh');
                var staffid = $('#staff_'+id).html();
                  if(staffid)
                    $('#source select[name="staffid[]"]').selectpicker('val', JSON.parse(staffid));
          }  
        });
    
    var name = $(invoker).data('name');
    var off_day = $(invoker).data('off_day');
    var city = $(invoker).data('city');
    var appointly_available_hours = $('#hours_'+id).html();
  
    $('#additional').append(hidden_input('id', id));
    $('#source input[name="name"]').val(name);
    $('#source select[name="off_day"]').val(off_day).trigger('change');
    $('#source select[name="city"]').val(city).trigger('change');
    // $('#source select[name="appointly_available_hours[]"]').val(appointly_available_hours);
    if(appointly_available_hours)
        $('#source select[name="appointly_available_hours[]"]').selectpicker('val', JSON.parse(appointly_available_hours));

    $('#source').modal('show');
    $('.add-title').addClass('hide');
}
</script>
</body>

</html>