<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="clearfix"></div>
<?php if (count($checklists) > 0) { ?>
<div class="tw-flex tw-justify-between tw-items-center">
    <h4 class="chk-heading th tw-font-semibold tw-text-base"><?php echo _l('task_checklist_items'); ?></h4>
    <div class=chk-toggle-buttons">
        <button class="btn btn-default btn-sm<?php echo $hide_completed_items == 1 ? ' hide': '' ?>" data-hide="1"
            onclick="toggle_completed_checklist_items_visibility(this)">
            <?php echo _l('hide_task_checklist_items_completed'); ?>
        </button>
        <?php
            $finished = array_filter($checklists, function ($item) {
                return $item['finished'] == 1;
            });
        ?>
        <button class="btn btn-default btn-sm<?php echo $hide_completed_items == 1 ? '': ' hide' ?>" data-hide="0"
            onclick="toggle_completed_checklist_items_visibility(this)">
            <?php echo _l('show_task_checklist_items_completed', '(<span class="task-total-checklist-completed">' . count($finished) . '</span>)'); ?>
        </button>
    </div>
</div>
<?php } ?>
<div class="progress mtop15 no-mbot hide">
    <div class="progress-bar not-dynamic progress-bar-default task-progress-bar" role="progressbar" aria-valuenow="40"
        aria-valuemin="0" aria-valuemax="100" style="width:0%">
    </div>
</div>
<div class="tw-flex tw-flex-col">
    <?php foreach ($checklists as $list) { 
        ?>
    <div>
        <div class="checklist" data-checklist-id="<?php echo $list['id']; ?>">
            <div class="tw-flex">
                <div class="checkbox checkbox-success checklist-checkbox" data-toggle="tooltip" title="">
                    <input type="checkbox" <?php if ($list['finished'] == 1 && $list['finished_from'] != get_staff_user_id() && !is_admin()) {
            echo ' disabled';
        } ?> name="checklist-box" <?php if ($list['finished'] == 1) {
            echo 'checked';
        }; ?>>
                    <label for=""><span class="hide"><?php echo $list['description']; ?></span></label>
                </div>
                <div class="tw-grow">
                    <textarea data-taskid="<?php echo $task_id; ?>" name="checklist-description" rows="1" <?php if ($list['addedfrom'] != get_staff_user_id() && !has_permission('tasks', '', 'edit')) {
            echo ' disabled';
        } ?>><?php echo clear_textarea_breaks($list['description']); ?></textarea>
                </div>
                <div class="mleft10 tw-inline-flex tw-items-center tw-space-x-1 sm:tw-space-x-2">
                    <?php if (($list['addedfrom'] == get_staff_user_id() || $current_user_is_creator || is_admin()) && count($task_staff_members) > 0) { ?>
                    <span class="dropdown" data-title="<?php echo _l('task_checklist_assign'); ?>"
                        data-toggle="tooltip">
                        <a href="#" class="tw-text-neutral-500 dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false" id="checklist-item-<?php echo $list['id']; ?>"
                            onclick="return false;">
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                                stroke="currentColor" class="tw-w-5 tw-h-5">
                                <path stroke-linecap="round" stroke-linejoin="round"
                                    d="M19 7.5v3m0 0v3m0-3h3m-3 0h-3m-2.25-4.125a3.375 3.375 0 11-6.75 0 3.375 3.375 0 016.75 0zM4 19.235v-.11a6.375 6.375 0 0112.75 0v.109A12.318 12.318 0 0110.374 21c-2.331 0-4.512-.645-6.374-1.766z" />
                            </svg>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-left"
                            aria-labelledby="checklist-item-<?php echo $list['id']; ?>">
                            <?php foreach ($task_staff_members as $_staff) { ?>
                            <li>
                                <a href="#"
                                    onclick="save_checklist_assigned_staff('<?php echo $_staff['staffid'] ; ?>', '<?php echo $list['id']; ?>'); return false;">
                                    <?php echo  $_staff['firstname'] . ' ' . $_staff['lastname'] ?>
                                </a>
                            </li>
                            <?php } ?>
                        </ul>
                    </span>
                    <?php } ?>
                    
                    <a href="#" class="tw-text-neutral-500 checklist_comment" data-toggle="tooltip" data-title="<?php echo _l('comment'); ?>"
                        onclick="checkListComment(<?php echo $list['id']; ?>)">
                        <i class="fa-regular fa-comment"></i>

                    </a>
                    <?php if (has_permission('checklist_templates', '', 'create')) { ?>
                    <a href="#" class="tw-text-neutral-500 save-checklist-template<?php if ($list['description'] == '' || total_rows(db_prefix() . 'tasks_checklist_templates', ['description' => $list['description']]) > 0) {
            echo ' hide';
        } ?>" data-toggle="tooltip" data-title="<?php echo _l('save_as_template'); ?>"
                        onclick="save_checklist_item_template(<?php echo $list['id']; ?>,this); return false;">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                            stroke="currentColor" class="tw-w-5 tw-h-5">
                            <path stroke-linecap="round" stroke-linejoin="round"
                                d="M8.25 7.5V6.108c0-1.135.845-2.098 1.976-2.192.373-.03.748-.057 1.123-.08M15.75 18H18a2.25 2.25 0 002.25-2.25V6.108c0-1.135-.845-2.098-1.976-2.192a48.424 48.424 0 00-1.123-.08M15.75 18.75v-1.875a3.375 3.375 0 00-3.375-3.375h-1.5a1.125 1.125 0 01-1.125-1.125v-1.5A3.375 3.375 0 006.375 7.5H5.25m11.9-3.664A2.251 2.251 0 0015 2.25h-1.5a2.251 2.251 0 00-2.15 1.586m5.8 0c.065.21.1.433.1.664v.75h-6V4.5c0-.231.035-.454.1-.664M6.75 7.5H4.875c-.621 0-1.125.504-1.125 1.125v12c0 .621.504 1.125 1.125 1.125h9.75c.621 0 1.125-.504 1.125-1.125V16.5a9 9 0 00-9-9z" />
                        </svg>
                    </a>
                    <?php } ?>
                    <?php if (has_permission('tasks', '', 'delete') || $list['addedfrom'] == get_staff_user_id()) { ?>
                    <a href="#" class="tw-text-neutral-500 remove-checklist"
                        onclick="delete_checklist_item(<?php echo $list['id']; ?>,this); return false;">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                            stroke="currentColor" class="tw-w-5 tw-h-6">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </a>
                    <?php } ?>
                    
                </div>
            </div>
            <div class="tasks-comments-<?php echo $list['id']; ?> inline-block full-width simple-editor" style="display:none">
                <?php echo form_open_multipart(admin_url('tasks/add_checklist_comment'), ['id' => 'checklist-comment-form-'.$list['id'], 'class' => 'dropzone dropzone-manual', 'style' => 'min-height:auto;background-color:#fff;']); ?>
                <textarea name="comment" placeholder="<?php echo _l('task_single_add_new_comment'); ?>"
                    id="checklist_comment_<?php echo $list['id']; ?>" rows="3" class="form-control ays-ignore"></textarea>
                <div id="dropzoneTaskComment-<?php echo $list['id']; ?>" class="dropzoneDragArea dz-default dz-message task-comment-dropzone">
                    <span><?php echo _l('drop_files_here_to_upload'); ?></span>
                </div>
                <div class="dropzone-task-comment-previews dropzone-previews"></div>
                <button type="button" class="btn btn-primary mtop10 pull-right " id="addTaskCommentBtn-<?php echo $list['id']; ?>"
                    autocomplete="off" data-loading-text="<?php echo _l('wait_text'); ?>"
                    onclick="add_task_checklist_comment('<?php echo $list['id']; ?>');"
                    data-comment-task-id="<?php echo $list['id']; ?>">
                    <?php echo _l('task_single_add_new_comment'); ?>
                </button>
                <?php echo form_close(); ?>
                <div class="clearfix"></div>
            </div>
                <?php if (count($list['comments']) > 0) {
                         echo '<hr />';
                     } ?>
                <div id="checklist-comments-<?php echo $list['id']; ?>" class="mtop10">
                    <?php
                  $comments = '';
                  $len      = count($list['comments']);
                  $i        = 0;
                  foreach ($list['comments'] as $comment) {
                      $comments .= '<div id="comment_' . $comment['id'] . '" data-commentid="' . $comment['id'] . '" data-task-attachment-id="' . $comment['file_id'] . '" class="tc-content task-comment' . (strtotime($comment['dateadded']) >= strtotime('-16 hours') ? ' highlight-bg' : '') . '">';
                      $comments .= '<a data-task-comment-href-id="' . $comment['id'] . '" href="' . admin_url('tasks/view/' . $list['id']) . '#comment_' . $comment['id'] . '" class="task-date-as-comment-id"><span class="tw-text-sm"><span class="text-has-action inline-block" data-toggle="tooltip" data-title="' . _dt($comment['dateadded']) . '">' . time_ago($comment['dateadded']) . '</span></span></a>';
                      if ($comment['staffid'] != 0) {
                          $comments .= '<a href="' . admin_url('profile/' . $comment['staffid']) . '" target="_blank">' . staff_profile_image($comment['staffid'], [
                      'staff-profile-image-small',
                      'media-object img-circle pull-left mright10',
                   ]) . '</a>';
                      } elseif ($comment['contact_id'] != 0) {
                          $comments .= '<img src="' . contact_profile_image_url($comment['contact_id']) . '" class="client-profile-image-small media-object img-circle pull-left mright10">';
                      }
                      if ($comment['staffid'] == get_staff_user_id() || is_admin()) {
                          $comment_added = strtotime($comment['dateadded']);
                          $minus_1_hour  = strtotime('-1 hours');
                          if (get_option('client_staff_add_edit_delete_task_comments_first_hour') == 0 || (get_option('client_staff_add_edit_delete_task_comments_first_hour') == 1 && $comment_added >= $minus_1_hour) || is_admin()) {
                              $comments .= '<span class="pull-right"><a href="#" onclick="remove_task_comment(' . $comment['id'] . '); return false;"><i class="fa fa-times text-danger"></i></span></a>';
                              $comments .= '<span class="pull-right mright5"><a href="#" onclick="edit_task_comment(' . $comment['id'] . '); return false;"><i class="fa-regular fa-pen-to-square"></i></span></a>';
                          }
                      }

                      $comments .= '<div class="media-body comment-wrapper">';
                      $comments .= '<div class="mleft40">';

                      if ($comment['staffid'] != 0) {
                          $comments .= '<a href="' . admin_url('profile/' . $comment['staffid']) . '" target="_blank">' . $comment['staff_full_name'] . '</a> <br />';
                      } elseif ($comment['contact_id'] != 0) {
                          $comments .= '<span class="label label-info mtop5 mbot5 inline-block">' . _l('is_customer_indicator') . '</span><br /><a href="' . admin_url('clients/client/' . get_user_id_by_contact_id($comment['contact_id']) . '?contactid=' . $comment['contact_id']) . '" class="pull-left" target="_blank">' . get_contact_full_name($comment['contact_id']) . '</a> <br />';
                      }

                      $comments .= '<div data-edit-comment="' . $comment['id'] . '" class="hide edit-task-comment"><textarea rows="5" id="task_comment_' . $comment['id'] . '" class="ays-ignore form-control">' . str_replace('[task_attachment]', '', $comment['content']) . '</textarea>
                  <div class="clearfix mtop20"></div>
                  <button type="button" class="btn btn-primary pull-right" onclick="save_edited_comment(' . $comment['id'] . ',' . $task->id . ')">' . _l('submit') . '</button>
                  <button type="button" class="btn btn-default pull-right mright5" onclick="cancel_edit_comment(' . $comment['id'] . ')">' . _l('cancel') . '</button>
                  </div>';
                      if ($comment['file_id'] != 0) {
                          $comment['content'] = str_replace('[task_attachment]', '<div class="clearfix"></div>' . $attachments_data[$comment['file_id']], $comment['content']);
                          // Replace lightbox to prevent loading the image twice
                          $comment['content'] = str_replace('data-lightbox="task-attachment"', 'data-lightbox="task-attachment-comment-' . $comment['id'] . '"', $comment['content']);
                      } elseif (count($comment['attachments']) > 0 && isset($comments_attachments[$comment['id']])) {
                          $comment_attachments_html = '';
                          foreach ($comments_attachments[$comment['id']] as $comment_attachment) {
                              $comment_attachments_html .= trim($comment_attachment);
                          }
                          $comment['content'] = str_replace('[task_attachment]', '<div class="clearfix"></div>' . $comment_attachments_html, $comment['content']);
                          // Replace lightbox to prevent loading the image twice
                          $comment['content'] = str_replace('data-lightbox="task-attachment"', 'data-lightbox="task-comment-files-' . $comment['id'] . '"', $comment['content']);
                          $comment['content'] .= '<div class="clearfix"></div>';
                          $comment['content'] .= '<div class="text-center download-all">
                   <hr class="hr-10" />
                   <a href="' . admin_url('tasks/download_files/' . $task->id . '/' . $comment['id']) . '" class="bold">' . _l('download_all') . ' (.zip)
                   </a>
                   </div>';
                      }
                      $comments .= '<div class="comment-content mtop10">' . app_happy_text(check_for_links($comment['content'])) . '</div>';
                      $comments .= '</div>';
                      if ($i >= 0 && $i != $len - 1) {
                          $comments .= '<hr class="task-info-separator" />';
                      }
                      $comments .= '</div>';
                      $comments .= '</div>';
                      $i++;
                  }
                  echo $comments;
                  ?>
                </div>
            
            <?php if ($list['finished'] == 1 || $list['addedfrom'] != get_staff_user_id() || !empty($list['assigned'])) { ?>
            <p class="font-medium-xs mtop15 tw-text-neutral-500 checklist-item-info">
                <?php
                if ($list['addedfrom'] != get_staff_user_id()) {
                    echo _l('task_created_by', get_staff_full_name($list['addedfrom']));
                }
                if ($list['addedfrom'] != get_staff_user_id() && $list['finished'] == 1) {
                    echo ' - ';
                }
                if ($list['finished'] == 1) {
                    echo _l('task_checklist_item_completed_by', get_staff_full_name($list['finished_from']));
                }
                if (($list['addedfrom'] != get_staff_user_id() || $list['finished'] == 1) && !empty($list['assigned'])) {
                    echo ' - ';
                }
                if (!empty($list['assigned'])) {
                    echo _l('task_checklist_assigned', get_staff_full_name($list['assigned']));
                }

                ?>
            </p>
            <?php } ?>
        </div>
    </div>
    <?php if (count($list['files']) > 0) { ?>
            <div class="row task_attachments_wrapper">
                <div class="col-md-12" id="attachments">
                    <hr />
                    <h4 class="th tw-font-semibold tw-text-lg mbot15"><?php echo _l('task_view_attachments'); ?></h4>
                    <div class="row">
                        <?php
                     $i = 1;
                     // Store all url related data here
                    foreach ($list['files'] as $attachment) { 
                        ?>
                        <?php ob_start(); ?>
                        <div data-num="<?php echo $i; ?>" data-commentid="<?php echo $attachment['file_id']; ?>"
                            data-comment-attachment="<?php echo $attachment['task_comment_id']; ?>"
                            data-task-attachment-id="<?php echo $attachment['id']; ?>" class="task-attachment-col col-md-6<?php if ($i > $show_more_link_task_attachments) {
                         echo ' hide task-attachment-col-more';
                     } ?>">
                            <ul class="list-unstyled task-attachment-wrapper" data-placement="right"
                                data-toggle="tooltip" data-title="<?php echo $attachment['file_name']; ?>">
                                <li class="mbot10 task-attachment<?php if (strtotime($attachment['dateadded']) >= strtotime('-16 hours')) {
                         echo ' highlight-bg';
                     } ?>">
                                    <div class="mbot10 pull-right task-attachment-user">
                                        <?php if ($attachment['staffid'] == get_staff_user_id() || is_admin()) { ?>
                                        <a href="#" class="pull-right"
                                            onclick="remove_task_attachment(this,<?php echo $attachment['id']; ?>); return false;">
                                            <i class="fa fa fa-times"></i>
                                        </a>
                                        <?php }
                                 $externalPreview = false;
                                 $is_image        = false;
                                 $path            = get_upload_path_by_type('task') . $task->id . '/'.$list['id']. '/' . $attachment['file_name'];
                                 $href_url        = site_url('download/file/checklistattachment/' . $attachment['attachment_key'].'/'.$task->id);
                                 $isHtml5Video    = is_html5_video($path);
                                 if (empty($attachment['external'])) {
                                     $is_image = is_image($path);
                                     $img_url  = site_url('download/preview_image?path=' . protected_file_url_by_path($path, true) . '&type=' . $attachment['filetype']);
                                 } elseif ((!empty($attachment['thumbnail_link']) || !empty($attachment['external']))
                                 && !empty($attachment['thumbnail_link'])) {
                                     $is_image        = true;
                                     $img_url         = optimize_dropbox_thumbnail($attachment['thumbnail_link']);
                                     $externalPreview = $img_url;
                                     $href_url        = $attachment['external_link'];
                                 } elseif (!empty($attachment['external']) && empty($attachment['thumbnail_link'])) {
                                     $href_url = $attachment['external_link'];
                                 }
                                 if (!empty($attachment['external']) && $attachment['external'] == 'dropbox' && $is_image) { ?>
                                        <a href="<?php echo $href_url; ?>" target="_blank" class=""
                                            data-toggle="tooltip" data-title="<?php echo _l('open_in_dropbox'); ?>"><i
                                                class="fa fa-dropbox" aria-hidden="true"></i></a>
                                        <?php } elseif (!empty($attachment['external']) && $attachment['external'] == 'gdrive') { ?>
                                        <a href="<?php echo $href_url; ?>" target="_blank" class=""
                                            data-toggle="tooltip" data-title="<?php echo _l('open_in_google'); ?>"><i
                                                class="fa-brands fa-google" aria-hidden="true"></i></a>
                                        <?php }
                                 if ($attachment['staffid'] != 0) {
                                     echo '<a href="' . admin_url('profile/' . $attachment['staffid']) . '" target="_blank">' . get_staff_full_name($attachment['staffid']) . '</a> - ';
                                 } elseif ($attachment['contact_id'] != 0) {
                                     echo '<a href="' . admin_url('clients/client/' . get_user_id_by_contact_id($attachment['contact_id']) . '?contactid=' . $attachment['contact_id']) . '" target="_blank">' . get_contact_full_name($attachment['contact_id']) . '</a> - ';
                                 }
                                 echo '<span class="text-has-action tw-text-sm" data-toggle="tooltip" data-title="' . _dt($attachment['dateadded']) . '">' . time_ago($attachment['dateadded']) . '</span>';
                                 ?>
                                    </div>
                                    <div class="clearfix"></div>
                                    <div class="<?php if ($is_image) {
                                     echo 'preview-image';
                                 } elseif (!$isHtml5Video) {
                                     echo 'task-attachment-no-preview';
                                 } ?>">
                                        <?php
                                 // Not link on video previews because on click on the video is opening new tab
                                 if (!$isHtml5Video) { ?>
                                        <a href="<?php echo(!$externalPreview ? $href_url : $externalPreview); ?>"
                                            target="_blank" <?php if ($is_image) { ?> data-lightbox="task-attachment"
                                            <?php } ?> class="<?php if ($isHtml5Video) {
                                     echo 'video-preview';
                                 } ?>">
                                            <?php } ?>
                                            <?php if ($is_image) { ?>
                                            <img src="<?php echo $img_url; ?>" class="img img-responsive">
                                            <?php } elseif ($isHtml5Video) { ?>
                                            <video width="100%" height="100%"
                                                src="<?php echo site_url('download/preview_video?path=' . protected_file_url_by_path($path) . '&type=' . $attachment['filetype']); ?>"
                                                controls>
                                                Your browser does not support the video tag.
                                            </video>
                                            <?php } else { ?>
                                            <i class="<?php echo get_mime_class($attachment['filetype']); ?>"></i>
                                            <?php echo $attachment['file_name']; ?>
                                            <?php } ?>
                                            <?php if (!$isHtml5Video) { ?>
                                        </a>
                                        <?php } ?>
                                    </div>
                                    <div class="clearfix"></div>
                                </li>
                            </ul>
                        </div>
                        <?php
                     $attachments_data[$attachment['id']] = ob_get_contents();
                     if ($attachment['task_comment_id'] != 0) {
                         $comments_attachments[$attachment['task_comment_id']][$attachment['id']] = $attachments_data[$attachment['id']];
                     }
                     ob_end_clean();
                     echo $attachments_data[$attachment['id']];
                     ?>
                        <?php
                     $i++;
                     } ?>
                    </div>
                </div>
                <div class="clearfix"></div>
                <?php if (($i - 1) > $show_more_link_task_attachments) { ?>
                <div class="col-md-12" id="show-more-less-task-attachments-col">
                    <a href="#" class="task-attachments-more"
                        onclick="slideToggle('.task_attachments_wrapper .task-attachment-col-more', task_attachments_toggle); return false;"><?php echo _l('show_more'); ?></a>
                    <a href="#" class="task-attachments-less hide"
                        onclick="slideToggle('.task_attachments_wrapper .task-attachment-col-more', task_attachments_toggle); return false;"><?php echo _l('show_less'); ?></a>
                </div>
                <?php } ?>
                <div class="col-md-12 text-center">
                    <hr />
                    <a href="<?php echo admin_url('tasks/download_checklist_files/' . $task->id.'/'.$list['id']); ?>" class="bold">
                        <?php echo _l('download_all'); ?> (.zip)
                    </a>
                </div>
            </div>
            <?php } ?>
    <?php } ?>

    

</div>
<script>
$(function() {
    $("#checklist-items").sortable({
        helper: 'clone',
        items: 'div.checklist',
        update: function(event, ui) {
            update_checklist_order();
        }
    });
    setTimeout(function() {
        do_task_checklist_items_height();
    }, 200);

    init_selectpicker();
    var _hideCompletedItems = '<?php echo $hide_completed_items?>'
    if (_hideCompletedItems == 1) {
        toggle_completed_checklist_items_visibility();
    }
});

function toggle_completed_checklist_items_visibility(el, forceShow) {
    var _task_checklist_items = $("body").find("input[name='checklist-box']");
    $.each(_task_checklist_items, function() {
        var $this = $(this);
        if ($this.prop('checked') == true) {
            $this.closest('.checklist ').toggleClass('hide');
        }
    });
    if (typeof el != 'undefined') {
        var _hideCompleted = $(el).data('hide');
        $(el).addClass('hide');
        $(el).siblings().removeClass('hide');
        $.post(admin_url + 'staff/save_completed_checklist_visibility', {
            task_id: "<?php echo $task_id ?>",
            hideCompleted: _hideCompleted
        }, "json");
    }
}

function save_checklist_assigned_staff(staffId, list_id) {
    $.post(
        admin_url + 'tasks/save_checklist_assigned_staff', {
            assigned: staffId,
            checklistId: list_id,
            taskId: "<?php echo $task_id ?>",
        }
    ).done(function(response) {
        init_tasks_checklist_items(false, "<?php echo $task_id ?>");
    });
}
function add_task_checklist_comment(list_id){
   
var comment = $('#checklist_comment_'+list_id).val();
if(!comment){
    alert('Comment field is required');
     $('#addTaskCommentBtn-'+list_id).prop("disabled", false);
    return false;
}
$.post(
        admin_url + 'tasks/add_checklist_comment', {
            comment: comment,
            list_id: list_id,
            taskid: "<?php echo $task_id ?>",
        }
    ).done(function(response) {
        init_tasks_checklist_items(false, "<?php echo $task_id ?>");
    });
    }

    function checkListComment(id){
        //init_tasks_checklist_items(false, "<?php echo $task_id ?>");

        if (typeof(checkAttachmentDropzone) != 'undefined') {
            checkAttachmentDropzone.destroy();
            checkAttachmentDropzone = null;
}

checkAttachmentDropzone = new Dropzone("#checklist-comment-form-"+id, appCreateDropzoneOptions({
    uploadMultiple: true,
    parallelUploads: 20,
    maxFiles: 20,
    paramName: 'file',
    sending: function(file, xhr, formData) {
        formData.append("taskid", '<?php echo $task_id ?>');
        formData.append("list_id", id);
    },
    success: function(files, response) {
        response = JSON.parse(response);
        if (this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0) {
            _task_append_html(response.taskHtml);
        }
    }
}));



        $('.tasks-comments-'+id).slideToggle();
    }
</script>