<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-5">
                        <?php //echo render_date_input('activity_log_date', 'utility_activity_log_filter_by_date', '', [], [], '', 'activity-log-date'); ?>
                        <div class="form-group" id="report-time">
                            <label for="months-report"><?php echo _l('period_datepicker'); ?></label><br />
                            <select class="selectpicker" name="months-activitylog" data-width="100%"
                                data-none-selected-text="<?php echo _l('dropdown_non_selected_tex'); ?>">
                                <option value=""><?php echo _l('report_sales_months_all_time'); ?>
                                </option>
                                <option value="this_month"><?php echo _l('this_month'); ?></option>
                                <option value="1"><?php echo _l('last_month'); ?></option>
                                <option value="this_year"><?php echo _l('this_year'); ?></option>
                                <option value="last_year"><?php echo _l('last_year'); ?></option>
                                <option value="3"
                                    data-subtext="<?php echo _d(date('Y-m-01', strtotime('-2 MONTH'))); ?> - <?php echo _d(date('Y-m-t')); ?>">
                                    <?php echo _l('report_sales_months_three_months'); ?></option>
                                <option value="6"
                                    data-subtext="<?php echo _d(date('Y-m-01', strtotime('-5 MONTH'))); ?> - <?php echo _d(date('Y-m-t')); ?>">
                                    <?php echo _l('report_sales_months_six_months'); ?></option>
                                <option value="12"
                                    data-subtext="<?php echo _d(date('Y-m-01', strtotime('-11 MONTH'))); ?> - <?php echo _d(date('Y-m-t')); ?>">
                                    <?php echo _l('report_sales_months_twelve_months'); ?></option>
                                <option value="custom"><?php echo _l('period_datepicker'); ?></option>
                            </select>
                        </div>
                        <div id="date-range" class="hide mbot15">
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="report-from"
                                        class="control-label"><?php echo _l('report_sales_from_date'); ?></label>
                                    <div class="input-group date">
                                    <input type="text" class="form-control datepicker" id="activitylog-from" name="activitylog-from">
                                        <div class="input-group-addon">
                                            <i class="fa-regular fa-calendar calendar-icon"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <label for="report-to"
                                        class="control-label"><?php echo _l('report_sales_to_date'); ?></label>
                                    <div class="input-group date">
                                    <input type="text" class="form-control datepicker" disabled="disabled" id="activitylog-to"
                                            name="activitylog-to">
                                        <div class="input-group-addon">
                                            <i class="fa-regular fa-calendar calendar-icon"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                    <?php
                         $selected = [];

                        echo render_select('staff_activity[]', $staff, ['staffid', ['firstname', 'lastname']], 'staff_activity', $selected, ['multiple'=>true,'data-actions-box' => true], [], '', '', false);
                        ?>
                    </div>
                    <div class="col-md-3 text-right mtop20">
                        <a class="btn btn-danger _delete"
                            href="<?php echo admin_url('utilities/clear_activity_log'); ?>"><?php echo _l('clear_activity_log'); ?></a>
                    </div>
                </div>
                <div class="panel_s">
                    <div class="panel-body">
                        <div class="panel-table-full">
                            <?php render_datatable([
                            _l('utility_activity_log_dt_description'),
                            _l('utility_activity_log_dt_date'),
                            _l('utility_activity_log_dt_staff'),
                            _l('view'),
                            ], 'activity-log'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php init_tail(); ?>

<script>
    function changestaff(){
        table_activity_log = $("table.table-activity-log");

  if (table_activity_log.length) {
    var ActivityLogServerParams = [];
    ActivityLogServerParams["activity_log_date"] = '[name="activity_log_date"]';
    ActivityLogServerParams["staffs"] = '[name="staffs[]"]';
    initDataTable(
      table_activity_log,
      window.location.href,
      "undefined",
      "undefined",
      ActivityLogServerParams,
      [1, "desc"]
    );
  }
    }
</script>

</body>

</html>