<script>
    $(document).ready(function () {

        if (isOutlookLoggedIn()) {
            acquireTokenPopupAndCallMSGraph();
        }

        var div_name = $('#div_name');
        var div_email = $('#div_email');
        var div_phone = $('#div_phone');

        init_editor('textarea[name="notes"]', {
            menubar: false,
        });

        init_selectpicker();
        initAppointmentScheduledDates();
        $('.modal').on('hidden.bs.modal', function (e) {
            let accessToken = document.getElementById('ms-access-token');
            if (accessToken != null)
                accessToken.value = '';
            $('.xdsoft_datetimepicker').remove();
        });

        appValidateForm($("#appointment-form"), {
            subject: "required",
            description: "required",
            date: "required",
            name: "required",
            'attendees[]': {
                required: true,
                minlength: 1
            }
        }, apply_appointments_form_data, {
            'attendees[]': "Please select at least 1 staff member"
        });
    });

    function apply_appointments_form_data(form) {
        $('button[type="submit"], button.close_btn, #addToOutlookBtn').prop('disabled', true);
        $('#appointment-form .modal-body').addClass('filterBlur');
        $('.modal-title').html(
                "<?= _l('appointment_please_wait'); ?>");
        $('button[type="submit"]').html('<i class="fa fa-refresh fa-spin fa-fw"></i>');

        var formSerializedData = $(form).serializeArray();

        var isOutlookChecked = document.getElementById('outlook') || null;

        var data = $(form).serialize();
        var url = form.action;

        $.post(url, data).done(function (response) {
            if (response.result) {
                if (isOutlookLoggedIn() && isOutlookChecked != null) {
                    outlookAddOrUpdateEvent(formSerializedData);
                } else {
                    alert_float('success',
                            "<?= _l("appointment_updated"); ?>"
                            );
                    setTimeout(() => {
                        window.location.reload();
                    }, 500);
                }
            }
        });
        return false;
    }

    function addEventToOutlookCalendar(button, appointment_id) {
        var formSerializedData = $('#appointment-form').serializeArray();
        addToOutlookNewEventFromUpdate(formSerializedData, appointment_id);
    }

    function addEventToGoogleCalendar(button) {
        var form = $('#appointment-form').serialize();
        var url =
                "<?= admin_url('appointly/appointments/addEventToGoogleCalendar'); ?>";
        var modalBody = $('#appointment-form .modal-body');
        $.ajax({
            url: url,
            type: "POST",
            data: form,
            beforeSend: function () {
                $(button).attr('disabled', true);
                $('.modal .btn').attr('disabled', true);
                modalBody.addClass('filterBlur');
                $(button).html('' + appointly_please_wait +
                        '<i class="fa fa-refresh fa-spin fa-fw"></i>');
            },
            success: function (r) {
                if (r.result == 'success') {
                    alert_float('success', r.message);
                    $('.modal').modal('hide');
                    $('.table-appointments').DataTable().ajax.reload();
                    modalBody.removeClass('filterBlur');
                } else if (r.result == 'error') {
                    alert_float('danger', r.message);
                    modalBody.removeClass('filterBlur');
                }
            }
        });
    }

    $('#date').on('change', function () {
        var appointly_city = $('#appointly_city').val();
        var date = $('#date').val();
        if (date && appointly_city) {
            document.querySelectorAll('[id^="slot_"]').forEach(element => {
                element.style.backgroundColor = '';
            });
            document.querySelectorAll('input[type="checkbox"][name^="time_slots"]').forEach(function (checkbox) {
                checkbox.checked = false;
                checkbox.disabled = false;
            });
            date = date.slice(0, -7);
            var appointment_id = $('input[name="appointment_id"]').val();
            $.ajax({
                type: "GET",
                url: admin_url + "appointly/appointments_public/busyTime/",
                data: {appointly_city: appointly_city, date: date},
                success:
                        function (data) {
                            data = JSON.parse(data);
                            (data.dates).forEach(function (team) {
                            var team_id = team.team_id;
                            var slot = team.slot;
                            slot.forEach(function (time) {
                                single=time.time;
                                var id=time.appointment_id;
                                var single = single.replace(':', '_');
                                var idd = '#slot_' + team_id + '_' + single + '';
                                if(id != appointment_id){
                                  $(idd).find('input').prop('disabled', true);  
                                }else{
                                  $(idd).find('input').prop('checked', true);
                                }
                               $(idd).css('background-color', 'red');
                            });
                        });

                        }
            });
        }

    });

    $('#appointly_city').on('change', function () {
        var city = this.value;
        if (city) {
            $.ajax({
                type: "GET",
                url: admin_url + "proposals/getTeam",
                data: {city: city},
                success: function (data) {
                    data = JSON.parse(data);
                    $('#lebel').removeClass('hide');
                    var text1 = '<option value="">Nothing Seleted</option>';
                    for (let i = 0; i < data.length; i++) {
                        var name = data[i]["name"];
                        var id = data[i]["id"];
                        text1 += '<option value="' + id + '" >' + name + '</option>';
                    }
                    $('#attendees').html(text1).selectpicker('refresh');
                }
            });
        }
    });
</script>