<?php

/**
 * Ensures that the module init file can't be accessed directly, only within the application.
 */

defined('BASEPATH') or exit('No direct script access allowed');

/*
Module Name: Menu Control
Description: It will control menu visiblity
Version: 1.0.0
Author: Muhammd Shahid
Author URI: http://almohtasebcrm.com/
Requires at least: 2.3.*
*/

if (!defined('MODULE_MENU_CONTROL')) {
	define('MODULE_MENU_CONTROL', basename(__DIR__));
}

$CI = &get_instance();
hooks()->add_action('app_admin_head', 'hide_menu_items');

hooks()->add_action('staff_member_edit_view_profile', function($staff_id){
    // echo $staff_id; exit;
    if($staff_id  == ""){
        return true;
    }
    $CI = &get_instance();

    $allow_editing = false;
	$CI->load->model('staff_model');
	$staff_roles = $CI->roles_model->get();
	$id = get_staff_user_id();

	$member = $CI->staff_model->get($id);

    $edit_member = $CI->staff_model->get($staff_id);
    //echo '<pre>';print_r($edit_member);exit;
    // echo $member->role." | ".$edit_member->role; exit;
	foreach ($staff_roles as $staff_key => $staff_value) {
		if(($staff_value['roleid'] == $member->role) && ($member->role == $edit_member->role) && ($staff_value['name'] == 'Employee' || $staff_value['name'] == 'employee')){
			$allow_editing = true;
		}else if(($staff_value['roleid'] == $member->role) && ($staff_value['name'] == 'Super Admin' || $staff_value['name'] == 'super admin')){
		    $allow_editing = true;
		}else if(is_admin() && $edit_member->role != 3){
		    $allow_editing = true;
		}
	}
// 	echo $allow_editing ? "true": "false"; exit;
    if (!$allow_editing) {
        // set_alert('danger',_l('No have edit premission'));
        // redirect(admin_url('staff/member/'.$staff_id));
        access_denied('staff');
        return false;
    }
    return true;
});

/**
* Register activation module hook
*/
register_activation_hook(MODULE_MENU_CONTROL, 'menu_control_module_activation_hook');

function menu_control_module_activation_hook()
{
	$CI = &get_instance();
}

/**

 * Register uninstall module hook

 */
register_uninstall_hook(MODULE_MENU_CONTROL, 'menu_control_module_uninstall_hook');

function menu_control_module_uninstall_hook()
{
	$CI = &get_instance();
}

// Custom function to hide menu items
function hide_menu_items() {
    $CI = &get_instance();

    $allow_setting_to_show = false;
	$CI->load->model('staff_model');
	$staff_roles = $CI->roles_model->get();
	$id = get_staff_user_id();

	$member = $CI->staff_model->get($id);
	foreach ($staff_roles as $staff_key => $staff_value) {
		if(($staff_value['roleid'] == $member->role) && ($staff_value['name'] == 'Employee' || $staff_value['name'] == 'employee')){
			$allow_setting_to_show = true;
		}
	}
    if ($allow_setting_to_show) {
        ?>
        <style>
            li.menu-item-modules {
                display: none !important;
            }
            li.menu-item-api-options {
                display: none !important;
            }
        </style>
        <script>
            document.addEventListener("DOMContentLoaded", function() {
                var links = document.getElementsByTagName("a");
                for (var i = 0; i < links.length; i++) {
                    var link = links[i];
                    if (link.href.match(/https?:\/\/help\.perfexcrm\.com/i)) {
                        link.style.display = "none";
                    }
                }
            });
        </script>
        <?php
    }
}